- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libcdr::CDRLineStyle Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRLineStyle ()
| CDRLineStyle (unsigned short lt, unsigned short ct, unsigned short jt, double lw, double st, double a, const CDRColor &c, const std::vector< unsigned > &da, const CDRPath &sm, const CDRPath &em)

## Public Attributes
unsigned short | lineType
unsigned short | capsType
unsigned short | joinType
double | lineWidth
double | stretch
double | angle
CDRColor | color
std::vector< unsigned > | dashArray
CDRPath | startMarker
CDRPath | endMarker

## Constructor & Destructor Documentation

libcdr::CDRLineStyle::CDRLineStyle | ( |  | ) |
| inline

libcdr::CDRLineStyle::CDRLineStyle | ( | unsigned short | lt,
|  | unsigned short | ct,
|  | unsigned short | jt,
|  | double | lw,
|  | double | st,
|  | double | a,
|  | const CDRColor & | c,
|  | const std::vector< unsigned > & | da,
|  | const CDRPath & | sm,
|  | const CDRPath & | em
| ) |  |
| inline

## Member Data Documentation

double libcdr::CDRLineStyle::angle

unsigned short libcdr::CDRLineStyle::capsType

CDRColor libcdr::CDRLineStyle::color

Referenced by libcdr::CDRParser::_readX6StyleString().

std::vector<unsigned> libcdr::CDRLineStyle::dashArray

CDRPath libcdr::CDRLineStyle::endMarker

unsigned short libcdr::CDRLineStyle::joinType

unsigned short libcdr::CDRLineStyle::lineType

Referenced by libcdr::CDRParser::_readX6StyleString(), and libcdr::CDRCharacterStyle::overrideCharacterStyle().

double libcdr::CDRLineStyle::lineWidth

Referenced by libcdr::CDRParser::_readX6StyleString().

CDRPath libcdr::CDRLineStyle::startMarker

double libcdr::CDRLineStyle::stretch

The documentation for this struct was generated from the following file:

- CDRTypes.h